Package ghidra.trace.database.memory

# Class DBTraceMemBuffer

java.lang.Object
ghidra.trace.database.memory.DBTraceMemBuffer

All Implemented Interfaces:
  `MemBuffer`, `MemBufferMixin`

public class DBTraceMemBuffer extends Object implements MemBufferMixin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceMemBuffer(DBTraceMemorySpace space, long snap, Address start, ByteOrder byteOrder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Address`
  `getAddress()`
  Get the Address which corresponds to the offset 0.
  `int`
  `getBytes(ByteBuffer buffer, int offset)`
  `Memory`
  `getMemory()`
  Get the Memory object actually used by the MemBuffer.
  `boolean`
  `isBigEndian()`
  Returns true if the underlying bytes are in big-endian order, false if they are little endian.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.mem.MemBuffer

  `getInputStream, getInputStream, getUnsignedByte, getUnsignedInt, getUnsignedShort, getVarLengthInt, getVarLengthUnsignedInt, isInitializedMemory`

  ### Methods inherited from interface ghidra.program.model.mem.MemBufferMixin

  `getBigInteger, getByte, getBytes, getBytesInFull, getInt, getLong, getShort`

- ## Constructor Details

  - ### DBTraceMemBuffer

    public DBTraceMemBuffer(DBTraceMemorySpace space, long snap, Address start, ByteOrder byteOrder)

- ## Method Details

  - ### getAddress

    public Address getAddress()
    Description copied from interface: `MemBuffer`
    Get the Address which corresponds to the offset 0.
    Specified by:
      `getAddress` in interface `MemBuffer`
    Returns:
      the current address of offset 0.

  - ### getMemory

    public Memory getMemory()
    Description copied from interface: `MemBuffer`
    Get the Memory object actually used by the MemBuffer.
    Specified by:
      `getMemory` in interface `MemBuffer`
    Returns:
      the Memory used by this MemBuffer or null if not available.

  - ### isBigEndian

    public boolean isBigEndian()
    Description copied from interface: `MemBuffer`
    Returns true if the underlying bytes are in big-endian order, false if they are little endian.
    Specified by:
      `isBigEndian` in interface `MemBuffer`
    Returns:
      true if the underlying bytes are in big-endian order, false if they are little endian.

  - ### getBytes

    public int getBytes(ByteBuffer buffer, int offset)
    Specified by:
      `getBytes` in interface `MemBufferMixin`